import * as TSU from "@panyam/tsutils";
import * as G from "galore";
import { GlobalBeatLayout } from "./beats";
import { Notation } from "./notation";
export declare function parse(input: string): [Notation, G.ParseError[]];
export declare function load(codeText: string, config?: any): [Notation, GlobalBeatLayout, G.ParseError[], TSU.StringMap<number>];
